Subject: Re: [PATCH 1/5] crypto/nx: Rename nx842_powernv_function as icswx function

From: Haren Myneni <[email-masked]>
Date: Tue, 04 Apr 2017 20:32:05 -0700

On 04/04/2017 04:11 AM, Michael Ellerman wrote:
> Haren Myneni <[email-masked]> writes:
> 
>> [PATCH 1/5] crypto/nx: Rename nx842_powernv_function as icswx function
>>
>> nx842_powernv_function is points to nx842_icswx_function and
>> will be point to VAS function which will be added later for
>> P9 NX support.
> 
> I know it's nit-picking but can you give it a better name while you're
> there.
> 
> I was thinking it should be called "send" or something, but it actually
> synchronously sends and waits for a request.
> 
> So perhaps just nx842_exec(), for "execute a request", and then you can
> have nx842_exec_icswx() and nx842_exec_vas().
> 
> cheers
> 

Michael, 

Thanks for review,

nx842_powernv_function() was used before, So just renamed similar to this name. But I will make changes in the next version.

Haren